// The links that are on the top nav bar that link to a lowercase version of their page
export const ACTIVE_PAGES = [
    {
        name: "Home",
        url: "/",
    },
    {
        name: "Events",
        url: "/events",
    },
    {
        name: "Projects",
        url: "/projects",
    },
    {
        name: "Committees",
        url: "/committees",
    },
    {
        name: "Contact Us",
        url: "/#contact-us",
    },
];

// Urls of team photos that will go in the "About" slideshow
export const TEAM_PHOTOS: string[] = [];
export const PROJECT_SPACE: string[] = [];
export const EVENTS: unknown[] = [];

export const SOCIALS = [
    {
        icon: "/assets/img/disc.svg",
        url: "https://discord.gg/XxfjqZSjca",
        message: "Join our server",
    },
    {
        icon: "/assets/img/fab.svg",
        url: "https://www.facebook.com/ieeeucsd",
        message: "ieeeucsd",
    },
    {
        icon: "/assets/img/inst.svg",
        url: "https://www.instagram.com/ieee.ucsd",
        message: "@ieeeucsd",
    },
];

export const EMAIL = [
    {
        icon: "/assets/img/email.svg",
        url: "mailto:ieee@eng.ucsd.edu",
        message: "ieee@eng.ucsd.edu",
    },
];

export const EMAIL_WHITE = [
    {
        icon: "/assets/img/email_white.svg",
        url: "mailto:ieee@eng.ucsd.edu",
        message: "ieee@eng.ucsd.edu",
    },
];

export const SOCIALS_WHITE = [
    {
        icon: "/assets/img/disc_white.svg",
        url: "https://discord.gg/XxfjqZSjca",
        message: "Join our server",
    },
    {
        icon: "/assets/img/fab_white.svg",
        url: "https://www.facebook.com/ieeeucsd",
        message: "ieeeucsd",
    },
    {
        icon: "/assets/img/inst_white.svg",
        url: "https://www.instagram.com/ieee.ucsd",
        message: "@ieeeucsd",
    },
];

export const OFFICERS = [
    {
        name: "Tasnia Jamal",
        position: "President",
        photo: "/assets/img/officers/tasnia.jpg",
        email: "tjamal@ieee.org",
    },
    {
        name: "Brigette Hacia",
        position: "Vice Chair Internal",
        photo: "/assets/img/officers/brigette.jpg",
        email: "bhacia@ucsd.edu",
    },
    {
        name: "Jason Liang",
        position: "Vice Chair Events",
        photo: "/assets/img/officers/jason.jpg",
        email: "jsliang@ucsd.edu",
    },
    {
        name: "Yash Puneet",
        position: "Vice Chair Projects",
        photo: "/assets/img/officers/yash.jpg",
        email: "ypuneet@ucsd.edu",
    },
    {
        name: "Matthew Yik",
        position: "Vice Chair Finance",
        photo: "/assets/img/officers/matthewyik.webp",
        email: "myik@ucsd.edu",
    },
    {
        name: "Georolyn Ngo",
        position: "Events Coordinator",
        photo: "/assets/img/officers/temp.png",
        email: "ngngo@ucsd.edu",
    },
    {
        name: "Sukanya Krishna",
        position: "Events Coordinator",
        photo: "/assets/img/officers/temp.png",
        email: "sskrishn@ucsd.edu",
    },
    {
        name: "Daniel Chen",
        position: "Vice Chair External",
        photo: "/assets/img/officers/daniel.jpg",
        email: "dychen@ucsd.edu",
    },
    {
        name: "Thanh Nguyen",
        position: "Project Space Chair",
        photo: "/assets/img/officers/temp.png",
        email: "tdn003@ucsd.edu",
    },
    {
        name: "Mustahsin Zarif",
        position: "Robocup Soccer Chair",
        photo: "/assets/img/officers/temp.png",
        email: "mmzarif@ucsd.edu",
    },
    {
        name: "Rohil Kadekar",
        position: "Robocup Soccer Chair",
        photo: "/assets/img/officers/temp.png",
        email: "rkadekar@ucsd.edu",
    },
    {
        name: "Francisco Gutierrez",
        position: "Supercomputing Chair",
        photo: "/assets/img/officers/temp.png",
        email: "ffgutierrez@ucsd.edu",
    },
    {
        name: "Rana Singh",
        position: "Quarterly Projects Chair",
        photo: "/assets/img/officers/temp.png",
        email: "ras010@ucsd.edu",
    },
    {
        name: "Joshua Lapidario",
        position: "Quarterly Projects Chair",
        photo: "/assets/img/officers/temp.png",
        email: "jlapidar@ucsd.edu",
    },
    {
        name: "Sankalp Kaushik",
        position: "Professional Chair",
        photo: "/assets/img/officers/sankalp.jpg",
        email: "sskaushi@ucsd.edu",
    },
    {
        name: "Rafaella Gomes",
        position: "Professional Chair",
        photo: "/assets/img/officers/rafaella.jpg",
        email: "ragomes@ucsd.edu",
    },
    {
        name: "Girish Krishnan",
        position: "Technical Chair",
        photo: "/assets/img/officers/temp.png",
        email: "gikrishnan@ucsd.edu",
    },
    {
        name: "Shaun Garcia",
        position: "Technical Chair",
        photo: "/assets/img/officers/shaun.jpg",
        email: "scgarcia@ucsd.edu",
    },
    {
        name: "Devanshi Jain",
        position: "Technical Chair",
        photo: "/assets/img/officers/temp.png",
        email: "djain@ucsd.edu",
    },
    {
        name: "Kaitlin Calimbahin",
        position: "Technical Chair",
        photo: "/assets/img/officers/temp.png",
        email: "kcalimbahin@ucsd.edu",
    },
    {
        name: "Joshua Choi",
        position: "Outreach Chair",
        photo: "/assets/img/officers/temp.png",
        email: "jmc008@ucsd.edu",
    },
    {
        name: "Ashlee Young",
        position: "Outreach Chair",
        photo: "/assets/img/officers/temp.png",
        email: "asy001@ucsd.edu",
    },
    {
        name: "Marc Reta",
        position: "Social Chair",
        photo: "/assets/img/officers/temp.png",
        email: "mreta@ucsd.edu",
    },
    {
        name: "Shipra Gudekar",
        position: "Social Chair",
        photo: "/assets/img/officers/temp.png",
        email: "sgudekar@ucsd.edu",
    },
    {
        name: "Lisa Liu",
        position: "Social Chair",
        photo: "/assets/img/officers/temp.png",
        email: "lil043@ucsd.edu",
    },
    {
        name: "Stephanie Xu",
        position: "Creative Director",
        photo: "/assets/img/officers/stephanie.jpg",
        email: "sxxu@ucsd.edu",
    },
    {
        name: "Jayendra Mangal",
        position: "Webmaster",
        photo: "/assets/img/officers/temp.png",
        email: "jmangal@ucsd.edu",
    },
    {
        name: "Charles Nguyen",
        position: "Webmaster",
        photo: "/assets/img/officers/temp.png",
        email: "cmn010@ucsd.edu",
    },
    {
        name: "Stella Ji",
        position: "Webmaster",
        photo: "/assets/img/officers/temp.png",
        email: "seji@ucsd.edu",
    },
    {
        name: "Kevin Chang",
        position: "Marketing Chair",
        photo: "/assets/img/officers/temp.png",
        email: "kjchang@ucsd.edu",
    },
    {
        name: "Vuong Bui",
        position: "Marketing Chair",
        photo: "/assets/img/officers/vuong.jpg",
        email: "v2bui@ucsd.edu",
    },
    {
        name: "Joyce Zhou",
        position: "Design Chair",
        photo: "/assets/img/officers/temp.png",
        email: "jiz152@ucsd.edu",
    },

    {
        name: "Kate Zhou",
        position: "Design Chair",
        photo: "/assets/img/officers/temp.png",
        email: "yuz235@ucsd.edu",
    },

    {
        name: "Angelo Mariano",
        position: "Design Chair",
        photo: "/assets/img/officers/temp.png",
        email: "avmariano@ucsd.edu",
    },
];
